<?php

include("list.php");

try {
    $pdo = new PDO("mysql:dbname=$dbname;dbhost=$dbhost;charset=utf8", $dbuser, $dbpw);
} catch (PDOException $e) {
    die($e->getMessage());
}

$tnummer = 5;

$sql = "SELECT * FROM teilnehmer WHERE tnummer= :tnummer";

$pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);

if ($stmt = $pdo->prepare($sql)) {
    $stmt->bindParam(':tnummer',$tnummer);
    $stmt->execute();

    while ($zeile = $stmt->fetch(PDO::FETCH_ASSOC)) {
        echo "Teilnehmernummer: " .$zeile ['tnummer'] . "<br>";
        echo "Name: " .$zeile ['name'] . "<br>";
        echo "Vorname " .$zeile ['vname'] . "<br>";
        echo "Ort: " .$zeile ['ort'] . "<br>";
    }
}


?>